//
//  UIStoryboard+scummVMAdditions.m
//  scummvm
//
//  Created by Ilya Levin on 15/10/2015.
//
//

#import "UIStoryboard+scummVMAdditions.h"
#import "GameInfo.h"

#include "iPhonePlatformInterface.h"

@implementation UIStoryboard (scummVMAdditions)

+(NSString*)storyboardName
{
    if (CURRENT_GAME_TYPE == GAME_TYPE_IHNM ) {
        return @"ihnm";
    }
    else if (CURRENT_GAME_TYPE == GAME_TYPE_FOTAQ){
        return @"fotaq";
    }
    else if (CURRENT_GAME_TYPE == GAME_TYPE_SIMON1){
        return @"simon1";
    }
    else if (CURRENT_GAME_TYPE == GAME_TYPE_SIMON2 ) {
        return @"simon2";
    }
    else if (CURRENT_GAME_TYPE == GAME_TYPE_T7G ) {
        return @"t7g";
    }
    else if (CURRENT_GAME_TYPE == GAME_TYPE_TONYT){
        return @"tonyt";
    }
    return @"fotaq"; // default menu
}

+(instancetype)mainStoryboard
{
    if ([[UIDevice currentDevice] userInterfaceIdiom] == UIUserInterfaceIdiomPad) {
        printf("iPad - Set specifc storyboard");
        return [UIStoryboard storyboardWithName:[[self storyboardName] stringByAppendingString:@"-ipad"] bundle:nil];
    }
    else{
        if([[UIDevice currentDevice]userInterfaceIdiom]==UIUserInterfaceIdiomPhone) {
            
            if (IPhonePlatformInterface::instance()->IsiPhoneXDevice()) {
                printf("iPhone X - Set specifc storyboard");
                return [UIStoryboard storyboardWithName:[[self storyboardName] stringByAppendingString:@"-iphoneX"] bundle:nil];
            }
            else {
                return [UIStoryboard storyboardWithName:[self storyboardName] bundle:nil];
            }
        }
        return [UIStoryboard storyboardWithName:[self storyboardName] bundle:nil];
    }
}

+(CGFloat)relativeScale
{
    CGFloat scale = [UIScreen mainScreen].bounds.size.width / 480;
    
    return scale > 1.0 ? scale:1.0;
}


@end
