//
//  SplashViewController.m
//  scummvm
//
//  Created by Ilya Levin on 24/10/2015.
//
//

#import "DeveloperLogoViewController.h"
#import "UIStoryboard+scummVMAdditions.h"

@interface DeveloperLogoViewController ()

@property (retain, nonatomic) IBOutlet UIImageView *imageView;

@end

@implementation DeveloperLogoViewController

+(instancetype)developerLogoWithImage:(UIImage*)image
{
    DeveloperLogoViewController* developerLogoController = [[UIStoryboard mainStoryboard] instantiateViewControllerWithIdentifier:@"DeveloperLogoViewControllerIdentifier"];
    
    developerLogoController.logoImage = image;
    
    return developerLogoController;

}

-(UIRectEdge)preferredScreenEdgesDeferringSystemGestures
{ // iPhone X Edge Protection for home indication ( first user swipe of the home indication "activates" it and the second work and usual )
    return UIRectEdgeAll;
}

-(void)viewDidLoad
{
    
    [super viewDidLoad];
    
    self.imageView.image = self.logoImage?:[UIImage imageNamed:@"developer_logo"];
    
    // Notifies UIKit that the view controller updated its preference regarding the Edge Protection for home indicator (iOS 11, iPhone X and up)
    if (@available(iOS 11.0, *)) {
        [self setNeedsUpdateOfScreenEdgesDeferringSystemGestures];
    } else {
        // Fallback on earlier versions
    }
}

-(void)setLogoImage:(UIImage *)logoImage
{
    _logoImage = logoImage;
    
    self.imageView.image = _logoImage?:[UIImage imageNamed:@"developer_logo"];;
}

@end
