//
//  UIActivityViewController+MTAdditions.m
//  scummvm
//
//  Created by ilya on 1/2/16.
//
//

#import "UIActivityViewController+MTAdditions.h"
#import "GameInfo.h"
#import "Strings.h"
#import "NSStringAdditions.h"

using namespace Enhanced;

NSString* AppstoreID()
{
    return AppStoreIDForGameType(CURRENT_GAME_TYPE);
}

NSString* AppStoreIDForGameType(int gameType)
{
    switch (gameType) {
        case GAME_TYPE_IHNM:
            return @"1042314648";
            break;
        case GAME_TYPE_FOTAQ:
            return @"1082321063";
            break;
        case GAME_TYPE_SIMON1:
            return @"1082292752";
            break;
        case GAME_TYPE_SIMON2:
            return @"1082321055";
            break;
        case GAME_TYPE_T7G:
            return @"1082321069";
            break;
        case GAME_TYPE_TONYT:
            return @"1082321484";
            break;
        case GAME_TYPE_ITE:
            return @"1082294141";
            break;
    }
    return nil;
}

NSString* ShareID()
{
    return ShareIDForGameType(CURRENT_GAME_TYPE);
}

NSString* ShareIDForGameType(int gameType)
{
    switch (gameType) {
        case GAME_TYPE_IHNM:
            return @"nomouth";
            break;
        case GAME_TYPE_FOTAQ:
            return @"amazonqueen";
            break;
        case GAME_TYPE_SIMON1:
            return @"simon";
            break;
        case GAME_TYPE_SIMON2:
            return @"simon2";
            break;
        case GAME_TYPE_T7G:
            return @"7thguest";
            break;
        case GAME_TYPE_TONYT:
            return @"tonyt";
            break;
        case GAME_TYPE_ITE:
            return @"itearth";
            break;
    }
    return nil;
}

@implementation UIActivityViewController (MTAdditions)

+(instancetype)shareMyAppActivityViewController
{
    NSString* shareString = [NSString stringWithFormat: @"%@ http://onelink.to/%@",[NSString stringWithCPPWString:Strings::getString(StringId::share_message)] , ShareID()];
    UIActivityViewController* ativityViewController = [[UIActivityViewController alloc] initWithActivityItems:@[shareString] applicationActivities:nil];
    return ativityViewController;
}

@end
